MetaModels Workshop in Berlin
Ergebnis 1 bis 6 von 6

Thema: opw 2.0.0 kompatible zu cto 3.5.1 ?

  1. #1
    Contao-Fan Avatar von andrea$
    Registriert seit
    04.09.2011.
    Ort
    Berlin
    Beiträge
    706

    Standard opw 2.0.0 kompatible zu cto 3.5.1 ?

    Hallo,

    ich habe in einer Testversion meine Seite auf cto 3.5.1 upgedatet. lief im BE soweit fehlerfrei aber FE erscheint nur Fehlermeldung:

    Fatal error: Uncaught exception Exception with message Query error: Unknown column 'j1.opw_hide' in 'field list' (SELECT tl_module.*, j1.id AS jumpTo__id, j1.pid AS jumpTo__pid, j1.sorting AS jumpTo__sorting, j1.tstamp AS jumpTo__tstamp, j1.title AS jumpTo__title, j1.alias AS jumpTo__alias, j1.type AS jumpTo__type, j1.pageTitle AS jumpTo__pageTitle, j1.language AS jumpTo__language, j1.robots AS jumpTo__robots, j1.description AS jumpTo__description, j1.redirect AS jumpTo__redirect, j1.jumpTo AS jumpTo__jumpTo, j1.url AS jumpTo__url, j1.target AS jumpTo__target, j1.dns AS jumpTo__dns, j1.staticFiles AS jumpTo__staticFiles, j1.staticPlugins AS jumpTo__staticPlugins, j1.fallback AS jumpTo__fallback, j1.adminEmail AS jumpTo__adminEmail, j1.dateFormat AS jumpTo__dateFormat, j1.timeFormat AS jumpTo__timeFormat, j1.datimFormat AS jumpTo__datimFormat, j1.createSitemap AS jumpTo__createSitemap, j1.sitemapName AS jumpTo__sitemapName, j1.useSSL AS jumpTo__useSSL, j1.autoforward AS jumpTo__autoforward, j1.protected AS jumpTo__protected, j1.groups AS jumpTo__groups, j1.includeLayout AS jumpTo__includeLayout, j1.layout AS jumpTo__layout, j1.mobileLayout AS jumpTo__mobileLayout, j1.includeCache AS jumpTo__includeCache, j1.cache AS jumpTo__cache, j1.includeChmod AS jumpTo__includeChmod, j1.cuser AS jumpTo__cuser, j1.cgroup AS jumpTo__cgroup, j1.chmod AS jumpTo__chmod, j1.noSearch AS jumpTo__noSearch, j1.cssClass AS jumpTo__cssClass, j1.sitemap AS jumpTo__sitemap, j1.hide AS jumpTo__hide, j1.guests AS jumpTo__guests, j1.tabindex AS jumpTo__tabindex, j1.accesskey AS jumpTo__accesskey, j1.published AS jumpTo__published, j1.start AS jumpTo__start, j1.stop AS jumpTo__stop, j1.opw_hide AS jumpTo__opw_hide, j1.pam AS jumpTo__pam, j1.pam_root AS jumpTo__pam_root, j1.paOverwrite AS jumpTo__paOverwrite, j1.paSRC AS jumpTo__paSRC, j1.paOrder AS jumpTo__paOrder, j1.sortBy AS jumpTo__sortBy, j1.paImgMode AS jumpTo__paImgMode, j1.paTimeout AS jumpTo__paTimeout, j1.paSpeed AS jumpTo__paSpeed, j1.paRootTimeout AS jumpTo__paRootTimeout, j1.paRootSpeed AS jumpTo__paRootSpeed, j1.paRootEnableNav AS jumpTo__paRootEnableNav, j1.paRootNavClick AS jumpTo__paRootNavClick, j1.paRootNavPrevNext AS jumpTo__paRootNavPrevNext, j1.paRootCenteredX AS jumpTo__paRootCenteredX, j1.paRootCenteredY AS jumpTo__paRootCenteredY, j1.addFavicon AS jumpTo__addFavicon, j1.favicon AS jumpTo__favicon, j1.rootFavicon AS jumpTo__rootFavicon, j1.fbFavicon AS jumpTo__fbFavicon FROM tl_module LEFT JOIN tl_page j1 ON tl_module.jumpTo=j1.id WHERE tl_module.id IN(7,10,0,6) ORDER BY FIND_IN_SET(tl_module.id, '7,10,0,6')) thrown in system/modules/core/library/Contao/Database/Statement.php on line 283

    #0 system/modules/core/library/Contao/Database/Statement.php(254): Contao\Database\Statement->query()
    #1 system/modules/core/library/Contao/Model.php(952): Contao\Database\Statement->execute(NULL)
    #2 system/modules/core/library/Contao/Model.php(760): Contao\Model::find(Array)
    #3 system/modules/core/pages/PageRegular.php(88): Contao\Model::findMultipleByIds(Array)
    #4 index.php(260): Contao\PageRegular->generate(Object(Contao\PageModel), true)
    #5 index.php(444): Index->run()
    #6 {main}
    ich nehme an das liegt an opw? error: Unknown column 'j1.opw_hide' i richtig?
    ACHTUNG - User mit Halbwissen

  2. #2
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.567
    User beschenken
    Wunschliste

    Standard

    Die neueste Version ist übrigens 2.2.1: https://github.com/timgatzky/onepagewebsite/releases

    Zu deinem Problem an sich: du musst ein Datenbank Update in der Erweiterungsverwaltung oder imt Install Tool durchführen lassen.

  3. #3
    Contao-Fan Avatar von andrea$
    Registriert seit
    04.09.2011.
    Ort
    Berlin
    Beiträge
    706

    Standard

    DAnke spooky!

    die Lösung:
    du musst ein Datenbank Update in der Erweiterungsverwaltung
    da waren noch ne Menge Tabellen auszuwählen! Install Tool hatte ich nach dem Update schon laufen lassen.

    Erstmal alles ausprobieren bevor man um Hilfe ruft
    Geändert von andrea$ (04.09.2015 um 12:44 Uhr)
    ACHTUNG - User mit Halbwissen

  4. #4
    Contao-Fan Avatar von bibib
    Registriert seit
    19.06.2009.
    Ort
    Linz, Oberösterreich
    Beiträge
    616
    Partner-ID
    8517

    Standard

    Kann man die 2.2.x auch über den Composer installieren?

    Wenn ich im Composer nach dem Paket "timgatzky/onepagewebsite" suche, bekomme ich kein Ergebnis, aber das Paket auf github enthält ja eine composer.json. Ich bin da relativ ahnungslos - bedeutet diese composer.json also nicht automatisch, dass die Erweiterung auch über den Composer installierbar ist?

  5. #5
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.567
    User beschenken
    Wunschliste

    Standard

    Nein, es muss auch in einem package manager service wie zB packagist.org eingetragen werden. Du kannst allerdings folgenden Eintrag in deiner composer.json unter "repositories" hinzufügen, damit du die Erweiterung trotzdem über die Paketverwaltung installieren lassen kannst:
    Code:
    {
        "type": "vcs",
        "url": "https://github.com/timgatzky/onepagewebsite"
    }
    Alles natürlich auf eigene Gefahr.

  6. #6
    Contao-Fan Avatar von bibib
    Registriert seit
    19.06.2009.
    Ort
    Linz, Oberösterreich
    Beiträge
    616
    Partner-ID
    8517

    Standard

    Ui, ich glaub, davon lass ich lieber die Finger, nicht, dass ich mir vor Weihnachten noch was kaputt mache
    Aber vielen Dank für die Antwort!

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •